<template>
  <div class="mt-form-fields-etape">
    <div class="mt-fields-etape">
      <b-field label="Code ">
        <b-input v-model="etape.code" placeholder="Ex: EAE1" required />
      </b-field>
      <b-field label="Libellé ">
        <b-input v-model="etape.nom" placeholder="Ex: etape 1" required />
      </b-field>
      <b-field label="Libellé pluriel ">
        <b-input v-model="etape.nomPluriel" placeholder="Ex: etapes 1" required />
      </b-field>
      <b-field label="Ordre ">
        <b-input v-model="etape.ordre" placeholder="Ex: 10" type="number" required />
      </b-field>
      <b-field label="Description ">
        <b-input v-model="etape.description" placeholder="Ex: etapes 1" />
      </b-field>
      <b-field label="Description pluriel ">
        <b-input v-model="etape.descriptionPluriel" placeholder="Ex: etapes 1" />
      </b-field>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    etape: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

/deep/ {
  label.label {
    font-size: 0.8rem;
    color: $grey;
    margin-bottom: 0.3em;
    font-weight: normal;
  }
}

h3 {
  font-weight: bold;
  margin-bottom: 1rem;
}

.mt-fields-section {
  margin-bottom: 1.25rem;
}

.mt-fake-field {
  margin-bottom: 0;
}
</style>
